All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.calculateditems
Interface AdvancedCalculatedItemEditorInterface

All Known Implementing Classes:
  AdvancedCalculatedItemEditDialog, AdvancedExpressionEditDialog

    public interface AdvancedCalculatedItemEditorInterface

Description: Copyright: Copyright (c) 2002 Company: SAS

Field Summary
`static int` | `CANCEL`
`static int` | `OK`

Method Summary
`CalculatedItemInterface` | `getCalculatedItem()` Simple accessor to get the modified expression.
`int` | `getMaxOutputObservations()` Returns the current maximum number of output observations returned when gathering a list of possible values for a data item or physical item in the data source tree.
`int` | `getReturnValue()` Simple accessor to find out why the dialog closed.
`java.awt.event.ActionListener` | `getValidateActionListener()`
`boolean` | `isExpressionValid()` If the `getReturnValue` method returns `OK` then this methodr returns `true` if the expression returned passed validation and `false` if it failed.
`boolean` | `isSaveInvalidExpressionsEnabled()`
`boolean` | `isValidationButtonVisible()`
`boolean` | `reportAndCheckOkToContinue(java.lang.String message)`
`boolean` | `reportAndCheckOkToContinue(java.lang.String message, java.lang.String title)`
`void` | `reportAndDisplayError(java.lang.Exception e)`
`void` | `reportAndDisplayError(java.lang.Exception e, java.lang.String title)`
`void` | `reportAndDisplayError(java.lang.String message)`
`void` | `reportAndDisplayError(java.lang.String message, java.lang.String title)`
`void` | `setCalculatedItem(CalculatedItemInterface calcItem)`
`void` | `setMaxOutputObservations(int max)` Sets the current maximum number of output observations to be returned when gathering a list of possible values for a data item or physical item in the data source tree.
`void` | `setSaveInvalidExpressionsEnabled(boolean enable)` An `enable` value of `true` indicates the user can save an item that has invalid expression text, `false` indicates the filter item text must be valid if isEditOK() is `true`.
`void` | `setTypeEnabled(boolean enabled)`
`void` | `setValidateActionListener(java.awt.event.ActionListener listener)`
`void` | `setValidationButtonVisible(boolean visible)`

Field Detail

### OK

    static final int OK

See Also:
  Constant Field Values

### CANCEL

    static final int CANCEL

See Also:
  Constant Field Values

Method Detail

### getReturnValue

    int getReturnValue()

  Simple accessor to find out why the dialog closed. OK or CANCEL?

### getCalculatedItem

    CalculatedItemInterface getCalculatedItem()

  Simple accessor to get the modified expression.

### setCalculatedItem

    void setCalculatedItem(CalculatedItemInterface calcItem)

### setTypeEnabled

    void setTypeEnabled(boolean enabled)

### reportAndCheckOkToContinue

    boolean reportAndCheckOkToContinue(java.lang.String message)

### reportAndCheckOkToContinue

    boolean reportAndCheckOkToContinue(java.lang.String message,
                                       java.lang.String title)

### reportAndDisplayError

    void reportAndDisplayError(java.lang.String message,
                               java.lang.String title)

### reportAndDisplayError

    void reportAndDisplayError(java.lang.String message)

### reportAndDisplayError

    void reportAndDisplayError(java.lang.Exception e)

### reportAndDisplayError

    void reportAndDisplayError(java.lang.Exception e,
                               java.lang.String title)

### isValidationButtonVisible

    boolean isValidationButtonVisible()

### setValidationButtonVisible

    void setValidationButtonVisible(boolean visible)

### getValidateActionListener

    java.awt.event.ActionListener getValidateActionListener()

### setValidateActionListener

    void setValidateActionListener(java.awt.event.ActionListener listener)

### getMaxOutputObservations

    int getMaxOutputObservations()

  Returns the current maximum number of output observations returned when gathering a list of possible values for a data item or physical item in the data source tree.

  Returns:
    the maximum number of output observations

### setMaxOutputObservations

    void setMaxOutputObservations(int max)

  Sets the current maximum number of output observations to be returned when gathering a list of possible values for a data item or physical item in the data source tree.

  Parameters:
    `max` - the new maximum number of output observations
  See Also:
    `Governing`

### setSaveInvalidExpressionsEnabled

    void setSaveInvalidExpressionsEnabled(boolean enable)

  An `enable` value of `true` indicates the user can save an item that has invalid expression text, `false` indicates the filter item text must be valid if isEditOK() is `true`. Default is `true`

  Parameters:
    `enable` - a value of `true` indicates the user can change the type of the filter item; `false` indicates the type cannot be changed.

### isSaveInvalidExpressionsEnabled

    boolean isSaveInvalidExpressionsEnabled()

### isExpressionValid

    boolean isExpressionValid()

  If the `getReturnValue` method returns `OK` then this methodr returns `true` if the expression returned passed validation and `false` if it failed. If the getReturnValue() method returns `CANCEL` this methods return is undefined.

  Returns:
    boolean

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.